/*
 * Sean Landman
 * Data Mining for Biomedical Informatics Group
 * University of Minnesota - Twin Cities
 */

package edu.umn.cs.kumarbio.shear;

/**
 * Represents an exception caused by improper parameter values when running
 * SHEAR.
 */
public class ShearUsageException extends Exception {

  // For Serializable interface
  private static final long serialVersionUID = 2107953043229978796L;

  public ShearUsageException() {
    super();
  }

  public ShearUsageException(String message) {
    super(message);
  }

  public ShearUsageException(Throwable cause) {
    super(cause);
  }

  public ShearUsageException(String message, Throwable cause) {
    super(message, cause);
  }

  public ShearUsageException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
    super(message, cause, enableSuppression, writableStackTrace);
  }

}
