/*
 * Sean Landman
 * Data Mining for Biomedical Informatics Group
 * University of Minnesota - Twin Cities
 */

package edu.umn.cs.kumarbio.shear.system;

import org.broadinstitute.gatk.engine.CommandLineGATK;

/**
 * This is a custom extension of CommandLineGATK that contains an additional
 * method to close down the open BAM input files.
 */
public class CustomCommandLineGATK extends CommandLineGATK {

  /**
   * Closes the open BAM input files for this GATK engine.
   */
  public void closeBamFiles() {
    engine.getReadsDataSource().close();
  }

}
